org.apache.http.impl.client

## Class StandardHttpRequestRetryHandler

- java.lang.Object
- - org.apache.http.impl.client.DefaultHttpRequestRetryHandler
  - - org.apache.http.impl.client.StandardHttpRequestRetryHandler

- All Implemented Interfaces:
    HttpRequestRetryHandler

      @Contract(threading=IMMUTABLE)
      public class StandardHttpRequestRetryHandler
      extends DefaultHttpRequestRetryHandler

  `HttpRequestRetryHandler`假定根据RFC-2616应该是幂等的所有请求的HTTP方法实际上是幂等的，并且可以重试。

  根据RFC-2616第9.1.2节，幂等HTTP方法有：GET，HEAD，PUT，DELETE，OPTIONS和TRACE

  从以下版本开始：
    4.2

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.impl.client.DefaultHttpRequestRetryHandler

      `INSTANCE`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `StandardHttpRequestRetryHandler()` 默认构造函数
    `StandardHttpRequestRetryHandler(int retryCount, boolean requestSentRetryEnabled)` 默认构造函数

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `handleAsIdempotent(HttpRequest request)`

    - ### Methods inherited from class org.apache.http.impl.client.DefaultHttpRequestRetryHandler

      `getRetryCount, isRequestSentRetryEnabled, requestIsAborted, retryRequest`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 构造方法详细信息

    - #### StandardHttpRequestRetryHandler

          public StandardHttpRequestRetryHandler(int retryCount,
                                         boolean requestSentRetryEnabled)

      默认构造函数

    - #### StandardHttpRequestRetryHandler

          public StandardHttpRequestRetryHandler()

      默认构造函数

  - ### 方法详细信息

    - #### handleAsIdempotent

          protected boolean handleAsIdempotent(HttpRequest request)

      重写：
        `handleAsIdempotent`在 `DefaultHttpRequestRetryHandler`

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585